Opened 6 months ago

Closed 6 months ago

#2673 closed defect (fixed)

Hidden Mode loses peers and reseeds frequently

Reported by: anonymous maybe Owned by:
Priority: major Milestone: 0.9.45
Component: router/netdb Version: 0.9.44
Keywords: Cc: Reportage
Parent Tickets: Sensitive: no

Description (last modified by Eche|on)

Hiden mode is not defect, it works.
Hidden mode does not hide the IP, it just try to prohibite the storage of IP in network DB, which can easy circumvent by a modified client.
For basic connections you need a source IP and a target IP, and a connection between both on tcp/udp, with or without hidden mode.

Subtickets

Attachments (2)

viewstat-known.png (13.4 KB) - added by zzz 6 months ago.
viewstat-integ.png (12.2 KB) - added by zzz 6 months ago.

Download all attachments as: .zip

Change History (10)

comment:1 Changed 6 months ago by anonymous maybe

Description: modified (diff)

comment:2 Changed 6 months ago by Eche|on

Description: modified (diff)
Resolution: not a bug
Status: newclosed

comment:3 Changed 6 months ago by Eche|on

uups, did modify instead of reply

1 Hiden mode is not defect, it works.

2 Hidden mode does not hide the IP, it just try to prohibite the storage of IP in network DB, which can easy circumvent by a modified client.
3 For basic connections you need a source IP and a target IP, and a connection between both on tcp/udp, with or without hidden mode.

comment:4 Changed 6 months ago by Eche|on

for documentation, original ticket:

Hidden Mode sound nice that it hide your IP from I2P net pool , but another huge problem is actually within each I2P router which is the reseeding mechanism.
2
3 Reseeding by default done over clearnet with known few links, that for surely any ISP would know immediately that user is using I2P without the need to look at his IP into I2P netdb.
4
5 Solutions:
6
7 - Make reseeding of the users over I2P nodes (even if they are fixed/few) then to those clearnet links. I2Puser → I2Preseeder → Clearnetreseeder
8
9 - Add ability to have reseeding over Tor from within I2P like using orchid plugin OR ship normal Tor with I2P so user can link I2P reseeding over Tor. I2Puser → Tor → Clearnetreseeder
10
11 - Switch the reseeders links to I2Ps and remove clearnet ability. I2Puser → I2Preseeder (if possible)
12
13 Other than these solutions i dont know any possible.
14
15 I2P with Hidden Mode it seems that it keeps reseeding itself too much:
16
17 I2P Version and Running Environment
18
19
20 {{{
21
22 I2P version: 0.9.44-0-1~disco+1
23 Java version: Debian 11.0.5 (OpenJDK Runtime Environment 11.0.5+10-post-Debian-1deb10u1)
24 Wrapper version: 3.5.30
25 Server version: 9.4.15.v20190215
26 Servlet version: Jasper JSP 2.3 Engine
27 JSTL version: standard-taglib 1.2.5
28 Platform: Linux amd64 4.19.84-1.pvops.qubes.x86_64
29 Processor: Haswell Core i3/i5/i7 model 60 (coreihwl)
30 JBigI status: Locally optimized library libjbigi-linux-coreihwl_64.so loaded from file
31 GMP version: 6.1.2
32 JBigI version: 4
33 JCpuId version: 3
34 Encoding: UTF-8
35 Charset: UTF-8
36 Built By: Undefined
37 }}}
38
39
40 Service (Wrapper) Logs
41
42 {{{
43 2019/12/02 10:01:08 | Launching a JVM…
44 2019/12/02 10:01:09 | WrapperManager?: Initializing…
45 2019/12/02 10:01:09 | Starting I2P 0.9.44-0-1~disco+1
46 2019/12/02 10:01:09 | INFO: Native CPUID library jcpuid-x86-linux loaded from file
47 2019/12/02 10:01:09 | INFO: Locally optimized library libjbigi-linux-coreihwl_64.so loaded from file
48 2019/12/06 17:17:15 | Reseed start
49 2019/12/06 17:17:15 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
50 2019/12/06 17:17:17 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-402103267
51 2019/12/06 17:17:17 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
52 2019/12/06 17:17:17 | Reseeding from https://reseed.memcpy.io/i2pseeds.su3?netid=2
53 2019/12/06 17:17:49 | Reseed got no router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2
54 2019/12/06 17:17:49 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3?netid=2
55 2019/12/06 17:18:22 | Reseed got no router infos from https://download.xxlspeed.com/i2pseeds.su3?netid=2
56 2019/12/06 17:18:22 | Reseeding from https://i2p.novg.net/i2pseeds.su3?netid=2
57 2019/12/06 17:18:28 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-29896592
58 2019/12/06 17:18:28 | Reseed got 77 router infos from https://i2p.novg.net/i2pseeds.su3?netid=2 with 0 errors
59 2019/12/06 17:18:28 | Reseed successful, fetched 154 router infos
60 2019/12/06 18:48:28 | Reseed start
61 2019/12/06 18:48:28 | Reseeding from https://netdb.i2p2.no/i2pseeds.su3?netid=2
62 2019/12/06 18:48:30 | INFO: 75 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-625097082
63 2019/12/06 18:48:30 | Reseed got 75 router infos from https://netdb.i2p2.no/i2pseeds.su3?netid=2 with 0 errors
64 2019/12/06 18:48:30 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
65 2019/12/06 18:48:31 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-424067928
66 2019/12/06 18:48:31 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
67 2019/12/06 18:48:31 | Reseed successful, fetched 152 router infos
68 2019/12/06 20:18:31 | Reseed start
69 2019/12/06 20:18:31 | Reseeding from https://reseed.memcpy.io/i2pseeds.su3?netid=2
70 2019/12/06 20:18:33 | Error reseeding: java.io.IOException: su3 file too old
71 2019/12/06 20:18:33 | Reseed got no router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2
72 2019/12/06 20:18:33 | Reseed got 0 router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2 with 1 errors
73 2019/12/06 20:18:33 | Reseeding from https://netdb.i2p2.no/i2pseeds.su3?netid=2
74 2019/12/06 20:18:34 | INFO: 75 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-961826532
75 2019/12/06 20:18:34 | Reseed got 75 router infos from https://netdb.i2p2.no/i2pseeds.su3?netid=2 with 0 errors
76 2019/12/06 20:18:34 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
77 2019/12/06 20:18:36 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-336753709
78 2019/12/06 20:18:36 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
79 2019/12/06 20:18:36 | Reseed successful, fetched 152 router infos
80 2019/12/06 21:48:36 | Reseed start
81 2019/12/06 21:48:36 | Reseeding from https://reseed.onion.im/i2pseeds.su3?netid=2
82 2019/12/06 21:48:38 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-90934522
83 2019/12/06 21:48:38 | Reseed got 77 router infos from https://reseed.onion.im/i2pseeds.su3?netid=2 with 0 errors
84 2019/12/06 21:48:38 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
85 2019/12/06 21:48:40 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-1001995553
86 2019/12/06 21:48:40 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
87 2019/12/06 21:48:40 | Reseed successful, fetched 154 router infos
88 2019/12/06 23:18:40 | Reseed start
89 2019/12/06 23:18:40 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3?netid=2
90 2019/12/06 23:19:11 | Reseed got no router infos from https://download.xxlspeed.com/i2pseeds.su3?netid=2
91 2019/12/06 23:19:11 | Reseeding from https://i2p.novg.net/i2pseeds.su3?netid=2
92 2019/12/06 23:19:13 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-939574316
93 2019/12/06 23:19:13 | Reseed got 77 router infos from https://i2p.novg.net/i2pseeds.su3?netid=2 with 0 errors
94 2019/12/06 23:19:13 | Reseeding from https://reseed.memcpy.io/i2pseeds.su3?netid=2
95 2019/12/06 23:19:14 | Error reseeding: java.io.IOException: su3 file too old
96 2019/12/06 23:19:14 | Reseed got no router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2
97 2019/12/06 23:19:14 | Reseed got 0 router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2 with 1 errors
98 2019/12/06 23:19:14 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2
99 2019/12/06 23:19:16 | INFO: 67 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-280607278
100 2019/12/06 23:19:16 | Reseed got 67 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2 with 0 errors
101 2019/12/06 23:19:16 | Reseed successful, fetched 144 router infos
102 2019/12/07 00:49:16 | Reseed start
103 2019/12/07 00:49:16 | Reseeding from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
104 2019/12/07 00:49:16 | Reseed got no router infos from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
105 2019/12/07 00:49:16 | Reseeding from https://i2p.novg.net/i2pseeds.su3?netid=2
106 2019/12/07 00:49:48 | Reseed got no router infos from https://i2p.novg.net/i2pseeds.su3?netid=2
107 2019/12/07 00:49:48 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3?netid=2
108 2019/12/07 00:50:20 | Reseed got no router infos from https://download.xxlspeed.com/i2pseeds.su3?netid=2
109 2019/12/07 00:50:20 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
110 2019/12/07 00:50:52 | Reseed got no router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
111 2019/12/07 00:50:52 | Reseeding from https://reseed.memcpy.io/i2pseeds.su3?netid=2
112 2019/12/07 00:50:53 | Error reseeding: java.io.IOException: su3 file too old
113 2019/12/07 00:50:53 | Reseed got no router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2
114 2019/12/07 00:50:53 | Reseed got 0 router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2 with 1 errors
115 2019/12/07 00:50:53 | Reseeding from https://netdb.i2p2.no/i2pseeds.su3?netid=2
116 2019/12/07 00:50:57 | INFO: 75 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-855962078
117 2019/12/07 00:50:57 | Reseed got 75 router infos from https://netdb.i2p2.no/i2pseeds.su3?netid=2 with 0 errors
118 2019/12/07 00:50:57 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2
119 2019/12/07 00:50:58 | INFO: 61 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-994839647
120 2019/12/07 00:50:58 | Reseed got 61 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2 with 0 errors
121 2019/12/07 00:50:58 | Reseed successful, fetched 136 router infos
122 2019/12/07 02:20:58 | Reseed start
123 2019/12/07 02:20:58 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2
124 2019/12/07 02:21:00 | INFO: 61 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-859033468
125 2019/12/07 02:21:00 | Reseed got 61 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2 with 0 errors
126 2019/12/07 02:21:00 | Reseeding from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
127 2019/12/07 02:21:00 | Reseed got no router infos from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
128 2019/12/07 02:21:00 | Reseeding from https://reseed.onion.im/i2pseeds.su3?netid=2
129 2019/12/07 02:21:01 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-859279429
130 2019/12/07 02:21:01 | Reseed got 77 router infos from https://reseed.onion.im/i2pseeds.su3?netid=2 with 0 errors
131 2019/12/07 02:21:01 | Reseed successful, fetched 138 router infos
132 2019/12/07 03:51:01 | Reseed start
133 2019/12/07 03:51:01 | Reseeding from https://reseed.onion.im/i2pseeds.su3?netid=2
134 2019/12/07 03:51:03 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-1057360568
135 2019/12/07 03:51:03 | Reseed got 77 router infos from https://reseed.onion.im/i2pseeds.su3?netid=2 with 0 errors
136 2019/12/07 03:51:03 | Reseeding from https://reseed.memcpy.io/i2pseeds.su3?netid=2
137 2019/12/07 03:51:05 | Error reseeding: java.io.IOException: su3 file too old
138 2019/12/07 03:51:05 | Reseed got no router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2
139 2019/12/07 03:51:05 | Reseed got 0 router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2 with 1 errors
140 2019/12/07 03:51:05 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2
141 2019/12/07 03:51:06 | INFO: 61 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-773081985
142 2019/12/07 03:51:06 | Reseed got 61 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2 with 0 errors
143 2019/12/07 03:51:06 | Reseed successful, fetched 138 router infos
144 2019/12/07 05:21:07 | Reseed start
145 2019/12/07 05:21:07 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2
146 2019/12/07 05:21:10 | INFO: 61 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-1034123032
147 2019/12/07 05:21:10 | Reseed got 61 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2 with 0 errors
148 2019/12/07 05:21:10 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3?netid=2
149 2019/12/07 05:21:42 | Reseed got no router infos from https://download.xxlspeed.com/i2pseeds.su3?netid=2
150 2019/12/07 05:21:42 | Reseeding from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
151 2019/12/07 05:21:43 | Reseed got no router infos from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
152 2019/12/07 05:21:43 | Reseeding from https://i2p.novg.net/i2pseeds.su3?netid=2
153 2019/12/07 05:21:44 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-812805303
154 2019/12/07 05:21:44 | Reseed got 77 router infos from https://i2p.novg.net/i2pseeds.su3?netid=2 with 0 errors
155 2019/12/07 05:21:44 | Reseed successful, fetched 138 router infos
156 2019/12/07 06:51:44 | Reseed start
157 2019/12/07 06:51:44 | Reseeding from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
158 2019/12/07 06:51:44 | Reseed got no router infos from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
159 2019/12/07 06:51:44 | Reseeding from https://reseed.onion.im/i2pseeds.su3?netid=2
160 2019/12/07 06:51:46 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-229191446
161 2019/12/07 06:51:46 | Reseed got 77 router infos from https://reseed.onion.im/i2pseeds.su3?netid=2 with 0 errors
162 2019/12/07 06:51:46 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3?netid=2
163 2019/12/07 06:52:18 | Reseed got no router infos from https://download.xxlspeed.com/i2pseeds.su3?netid=2
164 2019/12/07 06:52:18 | Reseeding from https://netdb.i2p2.no/i2pseeds.su3?netid=2
165 2019/12/07 06:52:20 | INFO: 75 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-1058834740
166 2019/12/07 06:52:20 | Reseed got 75 router infos from https://netdb.i2p2.no/i2pseeds.su3?netid=2 with 0 errors
167 2019/12/07 06:52:20 | Reseed successful, fetched 152 router infos
168 2019/12/07 08:22:20 | Reseed start
169 2019/12/07 08:22:20 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
170 2019/12/07 08:22:22 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-947089726
171 2019/12/07 08:22:22 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
172 2019/12/07 08:22:22 | Reseeding from https://i2p.novg.net/i2pseeds.su3?netid=2
173 2019/12/07 08:22:23 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-1042168007
174 2019/12/07 08:22:23 | Reseed got 77 router infos from https://i2p.novg.net/i2pseeds.su3?netid=2 with 0 errors
175 2019/12/07 08:22:23 | Reseed successful, fetched 154 router infos
176 2019/12/07 09:52:23 | Reseed start
177 2019/12/07 09:52:23 | Reseeding from https://reseed.onion.im/i2pseeds.su3?netid=2
178 2019/12/07 09:52:25 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-312966190
179 2019/12/07 09:52:25 | Reseed got 77 router infos from https://reseed.onion.im/i2pseeds.su3?netid=2 with 0 errors
180 2019/12/07 09:52:25 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2
181 2019/12/07 09:52:26 | INFO: 87 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-253196201
182 2019/12/07 09:52:26 | Reseed got 87 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2 with 0 errors
183 2019/12/07 09:52:26 | Reseed successful, fetched 164 router infos
184 2019/12/08 07:18:27 | Reseed start
185 2019/12/08 07:18:27 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
186 2019/12/08 07:18:29 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-800218894
187 2019/12/08 07:18:29 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
188 2019/12/08 07:18:29 | Reseeding from https://netdb.i2p2.no/i2pseeds.su3?netid=2
189 2019/12/08 07:19:02 | Reseed got no router infos from https://netdb.i2p2.no/i2pseeds.su3?netid=2
190 2019/12/08 07:19:02 | Reseeding from https://reseed.onion.im/i2pseeds.su3?netid=2
191 2019/12/08 07:19:34 | Reseed got no router infos from https://reseed.onion.im/i2pseeds.su3?netid=2
192 2019/12/08 07:19:34 | Reseeding from https://reseed.memcpy.io/i2pseeds.su3?netid=2
193 2019/12/08 07:19:51 | Error reseeding: java.io.IOException: su3 file too old
194 2019/12/08 07:19:51 | Reseed got no router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2
195 2019/12/08 07:19:51 | Reseed got 0 router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2 with 1 errors
196 2019/12/08 07:19:51 | Reseeding from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2
197 2019/12/08 07:19:53 | INFO: 71 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-35863569
198 2019/12/08 07:19:53 | Reseed got 71 router infos from https://i2p.mooo.com/netDb/i2pseeds.su3?netid=2 with 0 errors
199 2019/12/08 07:19:53 | Reseed successful, fetched 148 router infos
200 2019/12/08 08:49:53 | Reseed start
201 2019/12/08 08:49:53 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
202 2019/12/08 08:49:54 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-562886231
203 2019/12/08 08:49:54 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
204 2019/12/08 08:49:54 | Reseeding from https://i2p.novg.net/i2pseeds.su3?netid=2
205 2019/12/08 08:50:00 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-370603176
206 2019/12/08 08:50:00 | Reseed got 77 router infos from https://i2p.novg.net/i2pseeds.su3?netid=2 with 0 errors
207 2019/12/08 08:50:00 | Reseed successful, fetched 154 router infos
208 2019/12/08 10:20:00 | Reseed start
209 2019/12/08 10:20:00 | Reseeding from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
210 2019/12/08 10:20:01 | Reseed got no router infos from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
211 2019/12/08 10:20:01 | Reseeding from https://reseed.onion.im/i2pseeds.su3?netid=2
212 2019/12/08 10:20:02 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-514278183
213 2019/12/08 10:20:02 | Reseed got 77 router infos from https://reseed.onion.im/i2pseeds.su3?netid=2 with 0 errors
214 2019/12/08 10:20:02 | Reseeding from https://reseed.memcpy.io/i2pseeds.su3?netid=2
215 2019/12/08 10:20:04 | Error reseeding: java.io.IOException: su3 file too old
216 2019/12/08 10:20:04 | Reseed got no router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2
217 2019/12/08 10:20:04 | Reseed got 0 router infos from https://reseed.memcpy.io/i2pseeds.su3?netid=2 with 1 errors
218 2019/12/08 10:20:04 | Reseeding from https://download.xxlspeed.com/i2pseeds.su3?netid=2
219 2019/12/08 10:20:36 | Reseed got no router infos from https://download.xxlspeed.com/i2pseeds.su3?netid=2
220 2019/12/08 10:20:36 | Reseeding from https://i2p.novg.net/i2pseeds.su3?netid=2
221 2019/12/08 10:20:37 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-303478032
222 2019/12/08 10:20:37 | Reseed got 77 router infos from https://i2p.novg.net/i2pseeds.su3?netid=2 with 0 errors
223 2019/12/08 10:20:37 | Reseed successful, fetched 154 router infos
224 2019/12/08 11:50:37 | Reseed start
225 2019/12/08 11:50:37 | Reseeding from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
226 2019/12/08 11:50:37 | Reseed got no router infos from https://reseed.i2p-projekt.de/i2pseeds.su3?netid=2
227 2019/12/08 11:50:37 | Reseeding from https://i2p.novg.net/i2pseeds.su3?netid=2
228 2019/12/08 11:50:38 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-597905695
229 2019/12/08 11:50:38 | Reseed got 77 router infos from https://i2p.novg.net/i2pseeds.su3?netid=2 with 0 errors
230 2019/12/08 11:50:38 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
231 2019/12/08 11:50:40 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-301392627
232 2019/12/08 11:50:40 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
233 2019/12/08 11:50:40 | Reseed successful, fetched 154 router infos
234 2019/12/08 13:20:40 | Reseed start
235 2019/12/08 13:20:40 | Reseeding from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2
236 2019/12/08 13:20:44 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-160344610
237 2019/12/08 13:20:44 | Reseed got 77 router infos from https://i2pseed.creativecowpat.net:8443/i2pseeds.su3?netid=2 with 0 errors
238 2019/12/08 13:20:44 | Reseeding from https://reseed.onion.im/i2pseeds.su3?netid=2
239 2019/12/08 13:20:46 | INFO: 77 files extracted to /tmp/i2p-ytQDKcEo.tmp/reseeds-127777403
240 2019/12/08 13:20:46 | Reseed got 77 router infos from https://reseed.onion.im/i2pseeds.su3?netid=2 with 0 errors
241 2019/12/08 13:20:46 | Reseed successful, fetched 154 router infos

comment:5 Changed 6 months ago by zzz

Component: unspecifiedrouter/netdb
Milestone: undecided0.9.45
Priority: minormajor
Resolution: not a bug
Status: closedreopened
Summary: Defective by Default: Hidden ModeHidden Mode loses peers and reseeds frequently

This ticket is a result of a comment I made on another ticket (can't find it right now) where OP had pasted logs showing frequent reseeding. On subsequent discussions in IRC with OP, I learned he was in hidden mode.

I understand why echelon closed the ticket because "Defective by Default" is accusatory and unhelpful, and the OP's proposed solutions point us in the wrong direction.

The root cause is that the router is expiring RIs down to where it must reseed. This is what must be fixed. The fix is not to come up with some new way to reseed, in-network or not. Reseed should never happen except on first install. Certainly not every hour and a half as the logs above show. Exploration is our standard method for finding new peers. We shouldn't need any other mechanism.

I've reproduced here that a hidden mode router goes down to under a hundred peers. It hasn't reseeded yet but I assume it will get there.

drz on IRC says that increasing the exploratory frequency helps.

So the areas to research are:

  • Why is exploration not sufficient, do we just need to do it more or is there some other issue?
  • Why are we expiring so many RIs? Do the thresholds need adjustment, or the refresh is failing?
  • How does our proportion of ff to non-ff look in the netdb? Do we know enough ffs? Exploration will only get us non-ffs, I think.

Reopening and renaming the ticket to track this issue, it's easier than opening a new one.

comment:6 Changed 6 months ago by zzz

Cc: Reportage added

Preliminary results:

  • Exploration must be much much more aggressive to maintain sufficient peer count
  • In hidden mode, exploration is the primary method of maintaining peers, but it only finds non-floodfill. When we go below about 30 ffs, exploration stops working well. We need to also maintain a minimum number of floodfills for exploration and RI refresh to work better.
  • Transports force mostly SSU connections when the number of connections is very low, to support peer testing, but that isn't necessary for hidden mode and hurts connectivity

should have some fixes ready in a few days. Each test cycle takes about half a day.

Changed 6 months ago by zzz

Attachment: viewstat-known.png added

Changed 6 months ago by zzz

Attachment: viewstat-integ.png added

comment:7 Changed 6 months ago by zzz

Above pix are of known and ff peers, with reseeding disabled. This is with preliminary fixes to increase exploration dramatically. The pix show these fixes work well at startup, but are insufficient to prevent loss of peers when the initial RIs start expiring.

My theory is that this is due to low ff count, and I'm testing additional fixes for that.

comment:8 Changed 6 months ago by zzz

Resolution: fixed
Status: reopenedclosed

Explore more aggressively, increase thresholds
Explore with standard non-explore lookup if low on floodfills
Run RefreshRoutersJob? if low on floodfills
Refactor SearchReplyJob? to process all hashes at once
Transport: Use NTCP and SSU equally if hidden
In 11d1aa674146c819028e75313d726bc035f8d6f1 0.9.44-3

Note: See TracTickets for help on using tickets.